<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class ExportMatAusg extends ExportBlaettern
{
  
  public function initiate()
  {
    ExportBasis::initiate();
    $this->dboperations = new DBWorkMatAusg();
  }

  
  public function getVarValue($varname)
  {
    switch ($this->getVarCategory($varname)) {
      default: return ExportBasis::getVarValue($varname);
      case 'material_':
      case 'mat_': return $this->expCalculation->getVarValue4MatAusg($this->getVarName($varname), $this->exportresults[$this->actualset]);
    }
  }
}